curl --request GET \
--url https://{your-subdomain}.neetodesk.com/api/external/v2/fields/{field_id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetodesk.com/api/external/v2/fields/{field_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetodesk.com/api/external/v2/fields/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"field": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
"name": "Browser",
"kind": "single_option",
"state": "active",
"resource_type": "ticket",
"is_required": false,
"is_required_for_agent_when_submitting_form": false,
"is_required_for_agent_when_closing_ticket": false,
"display_order": 3,
"placeholder_slug": "browser",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"options": [
{
"id": "aaaabbbb-cccc-dddd-eeee-ffff00004444",
"label": "Chrome",
"display_order": 0
}
]
}
}Get ticket field
Retrieves details of a specific custom ticket field.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
ID of the ticket field. You can get this by listing all ticket fields using the List all ticket fields API.
"aaaabbbb-cccc-dddd-eeee-ffff00003333"
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
"aaaabbbb-cccc-dddd-eeee-ffff00003333"
"Browser"
Type of the field. It cannot be changed after the field is created.
text, textarea, integer, decimal, date, checkbox, single_option, multi_option "single_option"
Fields in the inactive state are hidden from agents and customers.
active, inactive "active"
Resource the field belongs to. Always ticket.
"ticket"
Whether customers must fill this field while submitting a ticket.
false
Whether agents must fill this field while creating a ticket.
false
Whether agents must fill this field before closing a ticket.
false
Position of the field in the list of ticket fields.
3
Slug used to refer to the field in placeholders and automations, as {{ticket.custom_fields.<placeholder_slug>}}. Generated from the name when the field is created, and not regenerated when the field is renamed.
"browser"